Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.util
Class NodeIterator

`java.lang.Object
oracle.security.xmlsec.util.NodeIterator`

All Implemented Interfaces:
  java.util.Iterator

public class NodeIterator
extends java.lang.Object
implements java.util.Iterator

Filtering iterator that returns only instances of `org.w3c.dom.Node`.

Since:
  2.0

Nested Class Summary
`static class` | `NodeIterator.ElementFilter` Filter that matches element nodes having a given namespace URI and local name.
`static class` | `NodeIterator.NodeFilter` Abstract base class for filters used to match nodes for a NodeIterator.
`static class` | `NodeIterator.NodeTypeFilter` Filter that matches nodes of a given node type.

Field Summary
`protected org.w3c.dom.Node` | `nextNode`

Constructor Summary
`NodeIterator(java.util.Collection c)` Creates a new iterator will return only objects from the given given collection that implement the `org.w3c.dom.Node` interface.
`NodeIterator(java.util.Collection c, NodeIterator.NodeFilter filter)` Creates a new iterator will return only objects from the given given collection that implement the `org.w3c.dom.Node` interface and are matched by the given `NodeFilter`.
`NodeIterator(java.util.Collection c, short nodeType)` Creates a new iterator will return only objects from the given given collection that implement the `org.w3c.dom.Node` interface and are of the given node type.
`NodeIterator(java.util.Collection c, java.lang.String nsURI, java.lang.String localName)` Creates a new iterator will return only objects from the given given collection that implement the `org.w3c.dom.Element` interface and have the given namespace URI and local name.

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()` Operation not supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nextNode

    protected org.w3c.dom.Node nextNode

Constructor Detail

### NodeIterator

    public NodeIterator(java.util.Collection c)

  Creates a new iterator will return only objects from the given given collection that implement the `org.w3c.dom.Node` interface.

### NodeIterator

    public NodeIterator(java.util.Collection c,
                        NodeIterator.NodeFilter filter)

  Creates a new iterator will return only objects from the given given collection that implement the `org.w3c.dom.Node` interface and are matched by the given `NodeFilter`.

### NodeIterator

    public NodeIterator(java.util.Collection c,
                        short nodeType)

  Creates a new iterator will return only objects from the given given collection that implement the `org.w3c.dom.Node` interface and are of the given node type.
Parameters:
  `c` - The collection to be iterated over.
  `nodeType` - The node type code of the nodes to be returned by the iterator.
See Also:
  `Node`, `NodeIterator.NodeTypeFilter`

### NodeIterator

    public NodeIterator(java.util.Collection c,
                        java.lang.String nsURI,
                        java.lang.String localName)

  Creates a new iterator will return only objects from the given given collection that implement the `org.w3c.dom.Element` interface and have the given namespace URI and local name.
Parameters:
  `c` - The collection to be iterated over.
  `nsURI` - The namespace URI of the elements to be returned by the iterator.
  `localName` - The local name of the elements to be returned by the iterator.
See Also:
  `NodeIterator.ElementFilter`, `XMLUtils.getNamespaceURI(org.w3c.dom.Node)`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Operation not supported.
  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.